#include <dirent.h>
#include <unistd.h>
#include <errno.h>
#include <syscall.h>
#undef lseek

static inline
 _syscall3(off_t,lseek,int,fildes,off_t,offset,int,origin)

void seekdir(DIR * dir, off_t offset)
{
   if (!dir) {
      errno = EBADF;
      return;
   }
#ifdef __alpha__
   if(dir->dd_off == offset) {
      return;
   }
   if(lseek(dir->dd_fd, offset, SEEK_SET)==0) {
      dir->dd_off = offset;
   }
#else
   lseek(dir->dd_fd, offset, SEEK_SET);
#endif
   dir->dd_loc = 0;
   dir->dd_size = 0;
}
