#include <_G_config.h>
#include <ansidecl.h>
#include <stddef.h>
#include <signal.h>

#ifdef _G_NO_STABS
#define _sys_siglist sys_siglist
#endif

/* This is a list of all known signal numbers.  */

CONST char *CONST _sys_siglist[] = {
	"Unknown signal",
	"Hangup",
	"Interrupt",
	"Quit",
	"Illegal instruction",
	"Trace/breakpoint trap",
	"IOT trap/Abort",
	"EMT trap",
	"Floating point exception",
	"Killed",
	"Bus error",
	"Segmentation fault",
	"Bad system call",
	"Broken pipe",
	"Alarm clock",
	"Terminated",
	"Urgent I/O condition",
	"Stopped (signal)",
	"Stopped",
	"Continued",
	"Child exited",
	"Stopped (tty input)",
	"Stopped (tty output)",
	"I/O possible/complete",
	"CPU time limit exceeded",
	"File size limit exceeded",
	"Virtual time alarm",
	"Profile signal",
	"Window size changed",
	"Information request",
	"User defined signal 1",
	"User defined signal 2",
	NULL
};

#ifndef _G_NO_STABS
#include <gnu-stabs.h>
#ifdef weak_alias
weak_alias (_sys_siglist, sys_siglist);
#endif
#endif
