#include <errno.h>
#include <sys/resource.h>
#include <syscall.h>
#include <gnu-stabs.h>

#ifndef SYS_getpriority
#define SYS_getpriority 922
#endif

#define PZERO	15

int
__getpriority(int which, int who)
{
	long res;

	res = __syscall(SYS_getpriority, which, who);
	if (res >= 0) {
		errno = 0;
		return (int) PZERO - res;
	}
	errno = -res;
	return -1;
}

weak_alias(__getpriority, getpriority);
