#include <unistd.h>
#include <sys/resource.h>
#include <gnu-stabs.h>

int
__nice (int niceval)
{
	int prio = __getpriority(PRIO_PROCESS,0);

	prio += niceval;
	if (__setpriority(PRIO_PROCESS,0,prio) == 0) {
		return prio;
	}
	return -1;
}

weak_alias(__nice, nice);
