#include <unistd.h>
#include <sys/time.h>
#include <utime.h>
#include <syscall.h>
#include <gnu-stabs.h>

extern int __utimes (const char *path, struct timeval *tvp);

int
__utime (const char *path,struct utimbuf *times)
{
    if (times == NULL) {
	return __utimes(path, NULL);
    } else {
	struct timeval tvp[2];

	tvp[0].tv_sec = times->actime;
	tvp[1].tv_sec = times->modtime;
	tvp[0].tv_usec = 0;
	tvp[1].tv_usec = 0;
	return __utimes(path, tvp);
    }
}

weak_alias(__utime, utime);
