#include <unistd.h>
#include <syscall.h>

#ifdef SYS_lseek
static inline
_syscall3(off_t,lseek,int,fildes,off_t,offset,int,origin)

off_t
tell (int fildes)
{
	long result;
	result = __lseek (fildes, 0, SEEK_CUR);
	if (result < 0) {
		errno = -result;
		return -1;
	}
	return result;
}
#endif
