#include <syscall.h>
#include <sys/timex.h>
#include <linux/timex.h>

#ifdef SYS_adjtimex
inline static
_syscall1(int, adjtimex, struct timex *, ntx);

int
__ntp_gettime (struct ntptimeval * ntv)
{
  struct timex tntx;
  int result;

  result = adjtimex(&tntx);
  if (result < 0) {
	  errno = -result;
	  return -1;
  }
  ntv->time = tntx.time;
  ntv->maxerror = tntx.maxerror;
  ntv->esterror = tntx.esterror;
  return result;
}
#endif
